#ifndef _rex_vh_
#define _rex_vh_

#include <emma/lib/util.h>
#include <emma/lib/memmisc.h>

struct ParamRec
{
	char*	L;
	char*	R;
};

boolean		PAT_Compile(const char*Pattern, s_bytemem& Code);
boolean		PAT_Search(const char*Code, char*Text, TList<ParamRec> &);
boolean		PAT_Match(const char*Code, char*Text, char*End , TList<ParamRec> &);
vstring		PAT_Describe(const char*Code);
vstring		PAT_Param(ParamRec);

#endif